> ## Documentation Index
> Fetch the complete documentation index at: https://lightsage.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Eval Run



## OpenAPI

````yaml /openapi.json get /v1/api-performance/runs/{run_id}
openapi: 3.1.0
info:
  title: Lightsage Public API
  description: Public API for Lightsage CLI and external integrations.
  version: 1.0.0
servers:
  - url: https://api.lightsage.com
    description: Production
security: []
paths:
  /v1/api-performance/runs/{run_id}:
    get:
      tags:
        - API Performance
      summary: Retrieve Eval Run
      operationId: api_performance_runs_retrieve
      parameters:
        - name: run_id
          in: path
          required: true
          schema:
            type: string
            title: Run Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EvalRunResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - LightsageApiKeyAuth: []
components:
  schemas:
    EvalRunResponse:
      properties:
        data:
          $ref: '#/components/schemas/EvalRunDetail'
      type: object
      required:
        - data
      title: EvalRunResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EvalRunDetail:
      properties:
        id:
          type: string
          title: Id
        endpoint:
          anyOf:
            - $ref: '#/components/schemas/PublicEndpoint'
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Endpoint
        source:
          anyOf:
            - $ref: '#/components/schemas/EvalRunSource'
            - type: 'null'
        eval_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Eval Type
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
        model_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Type
        platform:
          anyOf:
            - type: string
            - type: 'null'
          title: Platform
        passed:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Passed
        score:
          anyOf:
            - type: number
            - type: 'null'
          title: Score
        failure_reasons:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Failure Reasons
        latency_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Latency Ms
        run_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Run At
        prompt_sent:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt Sent
        response_text:
          anyOf:
            - type: string
            - type: 'null'
          title: Response Text
        execution_stdout:
          anyOf:
            - type: string
            - type: 'null'
          title: Execution Stdout
        execution_stderr:
          anyOf:
            - type: string
            - type: 'null'
          title: Execution Stderr
        exit_code:
          anyOf:
            - type: integer
            - type: 'null'
          title: Exit Code
        tool_calls:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Tool Calls
        raw:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Raw
      type: object
      required:
        - id
      title: EvalRunDetail
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PublicEndpoint:
      properties:
        id:
          type: string
          title: Id
        method:
          anyOf:
            - type: string
            - type: 'null'
          title: Method
        path:
          anyOf:
            - type: string
            - type: 'null'
          title: Path
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        category:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Category
      type: object
      required:
        - id
      title: PublicEndpoint
    EvalRunSource:
      properties:
        id:
          type: string
          title: Id
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        label:
          anyOf:
            - type: string
            - type: 'null'
          title: Label
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
      type: object
      required:
        - id
      title: EvalRunSource
  securitySchemes:
    LightsageApiKeyAuth:
      type: apiKey
      in: header
      name: X-Lightsage-Api-Key

````